<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="DriverChampionship" select="document('../../XML/DriverChampionship.xml')/DriversChampionship" />
<xsl:output method="html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<link rel="StyleSheet" href="STYLE/screen.css" type="text/css"/>
<body>
<div id="logo">
	<h1><img width="405" height="60" src="ChampLogo.jpg" /></h1>
	<h2><br/><br/><br/><br/>by Champ Result V3</h2>
</div>
<div id="menu">
	<ul>
		<li class="active"><a href="Drivers.html" accesskey="2" title="">Rosters</a></li>
		<li><a href="Events.html" accesskey="3" title="">Events</a></li>
		<li><a href="DriverChampionship.html" accesskey="4" title="">Results</a></li>
	</ul>
	<hr />
</div>
<div id="bg">
	<div id="page">
                    <xsl:for-each select="Drivers/Driver">
                    <xsl:sort select="Nick" data-type="text" order="ascending" />
                    <xsl:variable name="idpilota" select="Nick" />
		<div id="content">
			<div id="about" class="post">
				<h1 class="title">    <xsl:value-of disable-output-escaping="yes" select="FirstName"/></h1>
				<div class="entry">
					<p/>
					    <table>
					        <tr>
					            <td class ="DrvImg">
							  <img width="116" height="153">
						        <xsl:attribute name="src">
					              <xsl:value-of select="Photo"/></xsl:attribute></img>
					            </td>
					            <td class ="DrvDescr">
                                    Nick: <xsl:value-of disable-output-escaping="yes" select="Nick"/><br />
						<img width="39" height="23">
						<xsl:attribute name="src">
					      <xsl:value-of select="Country"/></xsl:attribute></img><br />
                                    Team: <a href="{Team}.html"><xsl:value-of disable-output-escaping="yes" select="Team"/></a><br />
                                    Car: <xsl:value-of disable-output-escaping="yes" select="CarModel"/><br />
                                    Class: <xsl:value-of disable-output-escaping="yes" select="CarClass"/><br />
                                    Number: <xsl:value-of disable-output-escaping="yes" select="Number"/></td>
                            </tr>    					    
                        </table>                     
				</div>            
			</div>                  
			<!-- end #about -->
			<div class="post">
				<div class="entry">
					<p><xsl:value-of disable-output-escaping="yes" select="Note"/></p>
                    <p>PALMARES:<br />
                        Starts: <xsl:value-of disable-output-escaping="yes" select="Starts"/><br />
                        Poles: <xsl:value-of disable-output-escaping="yes" select="Poles"/><br />
                        Wins: <xsl:value-of disable-output-escaping="yes" select="Wins"/><br />
                        Podiums: <xsl:value-of disable-output-escaping="yes" select="Podiums"/><br />
                        Highest race position: <xsl:value-of disable-output-escaping="yes" select="HighestRace"/><br />
                        Highest grid position: <xsl:value-of disable-output-escaping="yes" select="HighestGrid"/><br />
                        Championships: <xsl:value-of disable-output-escaping="yes" select="Championships"/></p><br/>
		        <a href="Drivers.html">Show all drivers</a>
				</div>
			</div>
		</div>
            </xsl:for-each>   
		<!-- end #content -->
		<div id="sidebar">
			<div id="useful-links" class="box">
				<h2 class="title">Rosters</h2>
				<div class="content">
					<table class="table1">
						<tr><a href="Drivers.html">Drivers</a><br/><br/></tr>
						<tr><a href="Teams.html">Teams</a><br/><br/></tr>
					</table>
				</div>
			</div>
			<!-- end #useful-links -->
			<div id="sponsors" class="box">
				<h2 class="title">Drivers championship</h2>
				<div class="content">
				    <table class= "table2">
                            <xsl:for-each select="$DriverChampionship/Driver">
                            <xsl:sort select="Pos" data-type="number" order="ascending" />
				    <xsl:if test="Pos = '1' or Pos = '2'or Pos = '3'or Pos = '4'or Pos = '5'or Pos = '6'or Pos = '7'or Pos = '8'or Pos = '9'or Pos = '10'">
    				      <tr>
    				        <th class ="ClassName"><xsl:value-of disable-output-escaping="yes" select="Name"/></th>
    				        <td class ="ClassPoints"><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
    				      </tr>
				    </xsl:if>
		                </xsl:for-each> 
				    </table><br/>
				<a href="DriverChampionship.html">Table in full</a>			    
				</div>
			</div>
			<!-- end #sponsors -->
		</div>
		<!-- end #sidebar -->
		<div style="clear: both; height: 20px;"> </div>
	</div>
	<!-- end #page -->
</div>
<!-- end #bg -->
<div id="footer">
	<hr />
	<p class="Footer">	Powered by Champ Result V3</p>
</div>

</body>
</html>

</xsl:template>

</xsl:stylesheet>
