<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="Drivers" select="document('../../XML/Drivers.xml')/Drivers" />
<xsl:variable name="DriverChampionship" select="document('../../XML/DriverChampionship.xml')/DriversChampionship" />
<xsl:variable name="TeamChampionship" select="document('../../XML/TeamsChampionship.xml')/TeamsChampionship" />
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<link rel="StyleSheet" href="STYLE/screen.css" type="text/css"/>
<body>
<div id="logo">
	<h1><img width="405" height="60" src="ChampLogo.jpg" /></h1>
	<h2><br/><br/><br/><br/>by Champ Result V3</h2>
</div>
<div id="menu">
	<ul>
		<li><a href="Drivers.html" accesskey="2" title="">Rosters</a></li>
		<li><a href="Events.html" accesskey="3" title="">Events</a></li>
		<li class="active"><a href="DriverChampionship.html" accesskey="4" title="">Results</a></li>
	</ul>
	<hr />
</div>
<div id="bg">
	<div id="page">
		<div id="content">
			<div id="about" class="post">
				<h1 class="title">Drivers Championship</h1>
				<div class="entry">
					<p/>
					    <table class="tableInternal">
						<thead>
						  <tr>
						    <th scope="col">Pos</th>
						    <th scope="col">Name</th>
						    <th scope="col">Team</th>				
						    <th scope="col">Points</th>
						    <th scope="col">Gap</th>
						    <th scope="col">Starts</th>
						    <th scope="col">Poles</th>
						    <th scope="col">Wins</th>
						    <th scope="col">Podiums</th>
						  </tr>
						</thead>
      			              <xsl:for-each select="$DriverChampionship/Driver">
	                  		  <xsl:sort select="Pos" data-type="number" order="ascending" />
			                  <xsl:variable name="Nick" select="Nick" />
					        <tr>
							<td><xsl:value-of disable-output-escaping="yes" select="Pos"/></td>
							<td><a href="{Name}.html"><xsl:value-of disable-output-escaping="yes" select="Name"/></a></td>                                
							<td><a href="{Team}.html"><xsl:value-of disable-output-escaping="yes" select="Team"/></a></td> 
							<td><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
							<td><xsl:value-of disable-output-escaping="yes" select="Gap"/></td>
							<td><xsl:value-of disable-output-escaping="yes" select="Starts"/></td>
							<td><xsl:value-of disable-output-escaping="yes" select="Poles"/></td>
							<td><xsl:value-of disable-output-escaping="yes" select="Wins"/></td>
							<td><xsl:value-of disable-output-escaping="yes" select="Podiums"/></td>
						  </tr>   
			            </xsl:for-each>    					    
                        </table>                     
				</div>            
			</div>                  
			<!-- end #about -->
		</div>
		<!-- end #content -->
		<div id="sidebar">
			<div id="useful-links" class="box">
				<h2 class="title">Results</h2>
				<div class="content">
					<table class="table1">
						<tr><a href="DriverChampionship.html">Drivers Championship</a><br/><br/></tr>
						<tr><a href="DriverChampionshipD.html">Detailed Drivers Championship</a><br/><br/></tr>
						<tr><a href="Chart.html">Drivers Championship Chart</a><br/><br/></tr>
						<tr><a href="TeamChampionship.html">Teams Championship</a><br/><br/></tr>
					</table>
				</div>
			</div>
			<!-- end #useful-links -->
			<div id="sponsors" class="box">
				<h2 class="title">Teams championship</h2>
				<div class="content">
				    <table class= "table2">
                            <xsl:for-each select="$TeamChampionship/Team">
                            <xsl:sort select="Pos" data-type="number" order="ascending" />
				    <xsl:if test="Pos = '1' or Pos = '2'or Pos = '3'or Pos = '4'or Pos = '5'or Pos = '6'or Pos = '7'or Pos = '8'or Pos = '9'or Pos = '10'">
    				      <tr>
    				        <th class ="ClassName"><xsl:value-of disable-output-escaping="yes" select="Name"/></th>
    				        <td class ="ClassPoints"><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
    				      </tr>
				    </xsl:if>
		                </xsl:for-each> 
				    </table><br/>
				<a href="TeamChampionship.html">Table in full</a>			    
				</div>
			</div>
			<!-- end #sponsors -->
		</div>
		<!-- end #sidebar -->
		<div style="clear: both; height: 20px;"> </div>
	</div>
	<!-- end #page -->
</div>
<!-- end #bg -->
<div id="footer">
	<hr />
	<p class="Footer">	Powered by Champ Result V3</p>
</div>

</body>
</html>

</xsl:template>

</xsl:stylesheet>
