<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="Drivers" select="document('../../XML/Drivers.xml')/Drivers" />
<xsl:variable name="TeamChampionship" select="document('../../XML/TeamsChampionship.xml')/TeamsChampionship" />
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<link rel="StyleSheet" href="STYLE/screen.css" type="text/css"/>
<body>
<div id="logo">
	<h1><img width="405" height="60" src="ChampLogo.jpg" /></h1>
	<h2><br/><br/><br/><br/>by Champ Result V3</h2>
</div>
<div id="menu">
	<ul>
		<li class="active"><a href="Drivers.html" accesskey="2" title="">Rosters</a></li>
		<li><a href="Events.html" accesskey="3" title="">Events</a></li>
		<li><a href="DriverChampionship.html" accesskey="4" title="">Results</a></li>
	</ul>
	<hr />
</div>
<div id="bg">
	<div id="page">
		<div id="content">
			<div id="about" class="post">
                    <xsl:for-each select="Teams/Team">
                    <xsl:sort select="TeamName" data-type="text" order="ascending" />
	            <xsl:variable name="Web" select="Web" />
	            <xsl:variable name="Mail" select="Mail" />

				<h1 class="title">    <xsl:value-of disable-output-escaping="yes" select="TeamName"/></h1>
				<div class="entry">
					<p/>
					    <table>
					        <tr>
					            <td class ="TeamImg">
							  <img width="480" height="230">
						        <xsl:attribute name="src">
					              <xsl:value-of select="Image"/></xsl:attribute></img>
					            </td>
					        </tr>
					        <tr>
					            <td class ="TeamDescr">
					        <br/>
                                    Team Manager: <xsl:value-of disable-output-escaping="yes" select="TeamManager"/><br />
                                    Web-Site: <a href="{Web}"><xsl:value-of disable-output-escaping="yes" select="Web"/></a><br />
                                    Mail: <a href="mailto:{Mail}"><xsl:value-of disable-output-escaping="yes" select="Mail"/></a><br /></td>
                            </tr>    					    
                        </table> 
			<div class="post">
				<div class="entry">
					<p><xsl:value-of disable-output-escaping="yes" select="Note"/></p>			         
				</div>
				</div>   
			</div>     
				</xsl:for-each>
					    <table>
						  <tr>
			                    <xsl:for-each select="Teams/Driver">
            		                <xsl:sort select="Nick" data-type="text" order="ascending" />
						    <td><a href="{Nick}.html"><xsl:value-of disable-output-escaping="yes" select="Nick"/></a></td>
					        </xsl:for-each>    					                        
					        </tr>
						  <tr>
			                    <xsl:for-each select="Teams/Driver">
            		                <xsl:sort select="Nick" data-type="text" order="ascending" />
					            <td>
							  <img width="116" height="153">
						        <xsl:attribute name="src">
					              <xsl:value-of select="Photo"/></xsl:attribute></img>
					            </td>
					        </xsl:for-each>    					                        
					        </tr>
					    </table>
			        <br/><br/><a href="Teams.html">Show all teams</a>                      
			<!-- end #about -->
			</div>
		</div>    
		<!-- end #content -->
		<div id="sidebar">
			<div id="useful-links" class="box">
				<h2 class="title">Rosters</h2>
				<div class="content">
					<table class="table1">
						<tr><a href="Drivers.html">Drivers</a><br/><br/></tr>
						<tr><a href="Teams.html">Teams</a><br/><br/></tr>
					</table>
				</div>
			</div>
			<!-- end #useful-links -->
			<div id="sponsors" class="box">
				<h2 class="title">Teams championship</h2>
				<div class="content">
				    <table class= "table2">
                            <xsl:for-each select="$TeamChampionship/Team">
                            <xsl:sort select="Pos" data-type="number" order="ascending" />
				    <xsl:if test="Pos = '1' or Pos = '2'or Pos = '3'or Pos = '4'or Pos = '5'or Pos = '6'or Pos = '7'or Pos = '8'or Pos = '9'or Pos = '10'">
    				      <tr>
    				        <th class ="ClassName"><xsl:value-of disable-output-escaping="yes" select="Name"/></th>
    				        <td class ="ClassPoints"><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
    				      </tr>
				    </xsl:if>
		                </xsl:for-each> 
				    </table><br/>
				<a href="TeamChampionship.html">Table in full</a>			    
				</div>
			</div>
			<!-- end #sponsors -->
		</div>
		<!-- end #sidebar -->
		<div style="clear: both; height: 20px;"> </div>
	</div>
	<!-- end #page -->
</div>
<!-- end #bg -->
<div id="footer">
	<hr />
	<p class="Footer">	Powered by Champ Result V3</p>
</div>

</body>
</html>

</xsl:template>

</xsl:stylesheet>
