<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="DriverChampionship" select="document('../../XML/DriverChampionship.xml')/DriversChampionship" />
<xsl:variable name="TeamChampionship" select="document('../../XML/TeamsChampionship.xml')/TeamsChampionship" />
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<link rel="StyleSheet" href="STYLE/screen.css" type="text/css"/>
<body>
<div id="logo">
	<h1><img width="405" height="60" src="ChampLogo.jpg" /></h1>
	<h2><br/><br/><br/><br/>by Champ Result V3</h2>
</div>
<div id="menu">
	<ul>
		<li><a href="Drivers.html" accesskey="2" title="">Rosters</a></li>
		<li class="active"><a href="Events.html" accesskey="3" title="">Events</a></li>
		<li><a href="DriverChampionship.html" accesskey="4" title="">Results</a></li>
	</ul>
	<hr />
</div>
<div id="bg">
	<div id="page">                    
		<div id="content">
			<div id="about" class="post">
			    <xsl:for-each select="Events/Event">
				<h1 class="title"><xsl:value-of disable-output-escaping="yes" select="Track"/></h1>
				<div class="entry">
					<p/>
					    <table>
					        <tr>
					            <td>
							  <img width="230" height="200">
						        <xsl:attribute name="src">
					              <xsl:value-of select="Image"/></xsl:attribute></img>
					            </td>
					            <td>
                                    Track: <xsl:value-of disable-output-escaping="yes" select="Track"/><br />
						<img width="39" height="23">
						<xsl:attribute name="src">
					      <xsl:value-of select="Country"/></xsl:attribute></img><br />
                                    Date: <xsl:value-of disable-output-escaping="yes" select="FullDate"/><br />
                                    DownloadLink: <a href="{DownloadLink}">Here</a><br /></td>
                            </tr>    					    
                        </table>   		            
				</div>            
			</xsl:for-each>                  
			</div>                  
			<!-- end #about -->
			<div class="post">
				<div class="entry">
					<p><xsl:value-of disable-output-escaping="yes" select="TrackDescription"/></p>
                    		<p><table class="tableInternal">
						<thead>
						  <tr>
						    <th scope="col">DateTime</th>
						    <th scope="col">Session</th>
						    <th scope="col">Winner</th>				
						    <th scope="col">Best Lap</th>
						  </tr>
						</thead>
      			              <xsl:for-each select="Events/Sessions">
	                  		  <xsl:sort select="DateID" data-type="number" order="ascending" />
			                  <xsl:variable name="ID" select="ID" />
					        <tr>
							<td><xsl:value-of disable-output-escaping="yes" select="Date"/></td>
							<td><a href="{Detail}.html"><xsl:value-of disable-output-escaping="yes" select="Name"/></a></td>                            
							<td><xsl:value-of disable-output-escaping="yes" select="Winner"/></td>
							<td><xsl:value-of disable-output-escaping="yes" select="BestLap"/></td>
                  	          </tr>   
			            </xsl:for-each>    					    
                        </table>                     </p><br/>
			      <a href="Events.html">Show all events</a>
				</div>
			</div>
		</div>   
		<!-- end #content -->
		<div id="sidebar">
			<div id="useful-links" class="box">
				<h2 class="title">Drivers championship</h2>
				<div class="content">
				    <table class= "table2">
                            <xsl:for-each select="$DriverChampionship/Driver">
                            <xsl:sort select="Pos" data-type="number" order="ascending" />
				    <xsl:if test="Pos = '1' or Pos = '2'or Pos = '3'or Pos = '4'or Pos = '5'or Pos = '6'or Pos = '7'or Pos = '8'or Pos = '9'or Pos = '10'">
    				      <tr>
    				        <th class ="ClassName"><xsl:value-of disable-output-escaping="yes" select="Name"/></th>
    				        <td class ="ClassPoints"><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
    				      </tr>
				    </xsl:if>
		                </xsl:for-each> 
				    </table><br/>
				<a href="DriverChampionship.html">Table in full</a>			    
				</div>
			</div>
			<!-- end #useful-links -->
			<div id="sponsors" class="box">
				<h2 class="title">Teams championship</h2>
				<div class="content">
				    <table class= "table2">
                            <xsl:for-each select="$TeamChampionship/Team">
                            <xsl:sort select="Pos" data-type="number" order="ascending" />
				    <xsl:if test="Pos = '1' or Pos = '2'or Pos = '3'or Pos = '4'or Pos = '5'or Pos = '6'or Pos = '7'or Pos = '8'or Pos = '9'or Pos = '10'">
    				      <tr>
    				        <th class ="ClassName"><xsl:value-of disable-output-escaping="yes" select="Name"/></th>
    				        <td class ="ClassPoints"><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
    				      </tr>
				    </xsl:if>
		                </xsl:for-each> 
				    </table><br/>
				<a href="TeamChampionship.html">Table in full</a>			    
				</div>
			</div>
			<!-- end #sponsors -->
		</div>
		<!-- end #sidebar -->
		<div style="clear: both; height: 20px;"> </div>
	</div>
	<!-- end #page -->
</div>
<!-- end #bg -->
<div id="footer">
	<hr />
	<p class="Footer">	Powered by Champ Result V3</p>
</div>

</body>
</html>

</xsl:template>

</xsl:stylesheet>
