<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="TeamChampionship" select="document('../../XML/TeamsChampionship.xml')/TeamsChampionship" />
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<link rel="StyleSheet" href="STYLE/screen.css" type="text/css"/>
<body>
<div id="logo">
	<h1><img width="405" height="60" src="ChampLogo.jpg" /></h1>
	<h2><br/><br/><br/><br/>by Champ Result V3</h2>
</div>
<div id="menu">
	<ul>
		<li><a href="Drivers.html" accesskey="2" title="">Rosters</a></li>
		<li class="active"><a href="Events.html" accesskey="3" title="">Events</a></li>
		<li><a href="DriverChampionship.html" accesskey="4" title="">Results</a></li>
	</ul>
	<hr />
</div>
<div id="bg">
	<div id="page">                    
		<div id="content">
			<div id="about" class="post">
			  <xsl:for-each select="Sessions/Session">	
				<h1 class="title"><xsl:value-of disable-output-escaping="yes" select="EventTrack"/>:<xsl:value-of disable-output-escaping="yes" select="Name"/></h1>
			  </xsl:for-each>
				<div class="entry">
					<p/>
					    <table class= "tableInternal">
						<thead>
						  <tr>
						    <th scope="col">Pos</th>
						    <th scope="col">Driver</th>
						    <th scope="col">Team</th>	
						    <th scope="col">Car</th>	
						    <th scope="col">Class</th>	
						    <th scope="col">Time</th>
						    <th scope="col">Gap</th>
						    <th scope="col">Laps</th>
						    <th scope="col">Points</th>
						  </tr>
						</thead>
						  <xsl:for-each select="Sessions/Driver">	
		                          <xsl:sort select="Pos" data-type="number" order="ascending" />
					        <tr>
					        <td><xsl:value-of disable-output-escaping="yes" select="Pos"/></td>
					        <td><a href="{Name}.html"><xsl:value-of disable-output-escaping="yes" select="Name"/></a></td>
					        <td><a href="{Team}.html"><xsl:value-of disable-output-escaping="yes" select="Team"/></a></td>
					        <td><xsl:value-of disable-output-escaping="yes" select="CarModel"/></td>
					        <td><xsl:value-of disable-output-escaping="yes" select="CarClass"/></td>
					        <td><xsl:value-of disable-output-escaping="yes" select="BestTime"/></td>
					        <td><xsl:value-of disable-output-escaping="yes" select="Gap"/></td>
					        <td><xsl:value-of disable-output-escaping="yes" select="Laps"/></td>
					        <td><xsl:value-of disable-output-escaping="yes" select="Points"/></td>
		                          </tr>    					    
					</xsl:for-each>             
                        </table>   		            
				</div>                 
			</div>                  
			<!-- end #about -->
			<div class="post">
				<div class="entry">
					<p></p>
                    		<p></p>
				</div>
			</div>
		</div>   
		<!-- end #content -->
		<div id="sidebar">
			<div id="useful-links" class="box">
				<h2 class="title">Event Info</h2>
				<div class="content">
			          <xsl:for-each select="Sessions/Session">	
				    <table class= "table2">
					<tr>
						<td><xsl:value-of disable-output-escaping="yes" select="EventTrack"/></td>
					</tr>
    				      <tr>
						<td>
						  <img width="180" height="140">
						  <xsl:attribute name="src">
					        <xsl:value-of select="EventImage"/></xsl:attribute></img>
					      </td>
    				      </tr>

				    </table><br/>
				<a href="{EventID}.html">Go to Event Page</a>			    
				    </xsl:for-each>
				</div>
			</div>
			<!-- end #useful-links -->
			<div id="sponsors" class="box">
				<h2 class="title">Session Menu</h2>
				<div class="content">
					<table class="table1">
			          		<xsl:for-each select="Sessions/Session">
						<tr><a href="{SessionID}.html">Drivers Result</a><br/><br/></tr>
						<tr><a href="{SessionID}ResultT.html">Teams Result</a><br/><br/></tr>
						</xsl:for-each>
					</table>				
				</div>
			</div>
			<!-- end #sponsors -->
		</div>
		<!-- end #sidebar -->
		<div style="clear: both; height: 20px;"> </div>
	</div>
	<!-- end #page -->
</div>
<!-- end #bg -->
<div id="footer">
	<hr />
	<p class="Footer">	Powered by Champ Result V3</p>
</div>

</body>
</html>

</xsl:template>

</xsl:stylesheet>
